<?php require $this->out_file("views/tinymce.init.js.php"); ?>

<h2>Modifier une page</h2>

<ul class="buttons">
  <li><a href="<?php echo $this->url("pages/admin"); ?>">Retour &agrave; la liste des pages</a></li>
</ul>

<form name="page_form" action="<?php echo $this->url("pages/admin/edit", array("id" => $this->out["page"]["id"])); ?>" method="post">
  <fieldset>
    <ul>
      <li>
        <label>Titre</label>
        <div class="form_input">
          <input type="text" size="50" name="title" id="title" value="<?php echo $this->out["page"]["title"]; ?>" />
        </div>
      </li>
      <li>
        <label>Page parente</label>
        <div class="form_input">
          <select name="id_parent">
            <?php echo pages_arbo_edit_select_options($this->out["arbo"], $this->out["page"]["id"], $this->out["page"]["id_parent"], "&nbsp;&nbsp;"); ?>
          </select>
        </div>
      </li>
      <li>
        <textarea class="tinymce" cols="60" rows="10" name="content" id="content"><?php echo htmlspecialchars($this->out["page"]["content"]); ?></textarea>
      </li>
      <li>
        <div class="form_buttons">
          <input type="submit" value="Enregistrer" />
        </div>
      </li>
    </ul>
  </fieldset>
</form>