<h2>Pages</h2>

<form name="accueil_form" action="<?php echo $this->url("pages/admin/set_accueil"); ?>" method="post">
  <fieldset>
    <ul>
      <li>
        <label for="id">Page d'accueil du site</label>
        <div class="form_input">
          <select id="id" name="id">
            <option value=""<?php echo $this->config("start_action") ? "" : " selected=\"selected\""; ?>>Page par d&eacute;faut du site</option>
            <?php echo pages_arbo_start_select_options($this, $this->out["arbo"], $this->config("start_action"), $this->config("start_action_params"), "&nbsp;&nbsp;"); ?>
          </select>
        </div>
      </li>
      <li>
        <div class="form_single_button">
          <input type="submit" value="Enregistrer" />
        </div>
      </li>
    </ul>
  </fieldset>
</form>

<ul class="buttons">
  <li><a class="add" href="<?php echo $this->url("pages/admin/add"); ?>">Nouvelle page</a></li>
</ul>

<ul class="filters">
  <li>Page parente</li>
  <li>
    <select onchange="document.location=this.options[this.selectedIndex].value;">
      <option value="<?php echo $this->url("pages/admin"); ?>"<?php echo isset($_GET[$this->param("parent")]) ? "" : " selected=\"selected\""; ?>>Afficher toutes les pages</option>
      <?php echo pages_arbo_list_select_options($this, "pages/admin", $this->out["arbo"], $_GET[$this->param("parent")], "&nbsp;&nbsp;"); ?>
    </select>
  </li>
</ul>

<?php if($this->out["pages"]["total"]) : ?>

<?php $items = "pages"; $legend = "pages"; require $this->out_file("views/navig.php"); ?>

<form name="pages_form" action="<?php echo $this->url("pages/admin/edit_pages"); ?>" method="post">
<table class="admin">
  <tr>
    <th>titre</th>
    <th>date cr&eacute;ation</th>
    <th align="center">position</th>
    <th align="center">active</th>
    <th align="center" colspan="2">actions</th>
  </tr>
<?php foreach($this->out["pages"]["list"] as $id_page => $page) : ?>
  <tr class="hl">
    <td><?php echo $page["title"]; ?></td>
    <td><?php echo date("j M Y : G\hi", datetime2timestamp($page["date_creation"])); ?></td>
    <td class="action"><input type="text" size="3" name="position_<?php echo $id_page; ?>" value="<?php echo $page["position"]; ?>" /></td>
    <td class="action"><input type="checkbox" name="enabled_<?php echo $id_page; ?>" <?php echo $page["enabled"] ? "checked=\"checked\"" : ""; ?> /></td>
    <td class="action">
    <a href="<?php echo $this->url("pages/admin/edit", array("id" => $id_page)); ?>"
       class="admin_link"
       title="modifier cette page"><img src="<?php echo $this->out_url("icons/edit.gif"); ?>" /></a>
    </td>
    <td class="action">
    <a href="<?php echo $this->url("pages/admin/del", array("id" => $id_page)); ?>"
       class="admin_link"
       title="supprimer cette page"><img src="<?php echo $this->out_url("icons/del.gif"); ?>"
       onclick="return confirm('Supprimer cette page ?')"/></a>
    </td>
  </tr>
<?php endforeach; ?>
  <tr class="hl">
    <td colspan="2">&nbsp;</td>
    <td colspan="2" align="center"><input type="submit" value="Enregistrer" /></td>
    <td colspan="2">&nbsp;</td>
  </tr>
</table>
</form>

<?php else : ?>
<p>Aucune page pour le moment.</p>
<?php endif; ?>
